diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAccessLogPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAccessLogPanel.java
index 420711e4033fba0fe486e634660b58c6730f3f96..8f1fc1f2027e5a02809ac97d566a0a330ac13428 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAccessLogPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAccessLogPanel.java
@@ -18,13 +18,10 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.*;
-import java.awt.*;
+
 import java.awt.event.*;
-import java.util.*;
-import javax.swing.*;
 
 /**
  * Access Log Setting Tab to be displayed at the right hand side
@@ -66,24 +63,24 @@ public class CMSAccessLogPanel extends CMSBaseLogPanel {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvp = new NameValuePairs();
-        nvp.add(Constants.PR_LOG_ENABLED, "");
-        nvp.add(Constants.PR_LOG_LEVEL, "");
-        nvp.add(Constants.PR_LOG_BUFFERSIZE, "");
+        nvp.put(Constants.PR_LOG_ENABLED, "");
+        nvp.put(Constants.PR_LOG_LEVEL, "");
+        nvp.put(Constants.PR_LOG_BUFFERSIZE, "");
         //nvp.add(Constants.PR_LOG_EXPIRED_TIME, "");
         //nvp.add(Constants.PR_LOG_FILENAME, "");
         //nvp.add(Constants.PR_LOG_FLUSHINTERVAL, "");
-        nvp.add(Constants.PR_LOG_MAXFILESIZE, "");
-        nvp.add(Constants.PR_LOG_ROLLEROVER_INTERVAL, "");
+        nvp.put(Constants.PR_LOG_MAXFILESIZE, "");
+        nvp.put(Constants.PR_LOG_ROLLEROVER_INTERVAL, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_LOG_ADMIN,
               ScopeDef.SC_SYSTEMLOG, Constants.RS_ID_CONFIG, nvp);
             parseVals(val);
             if (mIsNT) {
-                nvp.removeAllPairs();
-                nvp.add(Constants.PR_NT_EVENT_SOURCE, "");
-                nvp.add(Constants.PR_NT_LOG_LEVEL, "");
-                nvp.add(Constants.PR_NT_LOG_ENABLED, "");
+                nvp.clear();
+                nvp.put(Constants.PR_NT_EVENT_SOURCE, "");
+                nvp.put(Constants.PR_NT_LOG_LEVEL, "");
+                nvp.put(Constants.PR_NT_LOG_ENABLED, "");
                 val = mAdmin.read(DestDef.DEST_LOG_ADMIN,
                   ScopeDef.SC_NTSYSTEMLOG, Constants.RS_ID_CONFIG, nvp);
                 parseNTVals(val);
@@ -99,23 +96,23 @@ public class CMSAccessLogPanel extends CMSBaseLogPanel {
     }
 
     private void parseVals(NameValuePairs nvp) {
-        if (nvp.getValue(Constants.PR_LOG_ENABLED).equalsIgnoreCase(
+        if (nvp.get(Constants.PR_LOG_ENABLED).equalsIgnoreCase(
           Constants.TRUE)) 
             activateLog.setSelected(true);
         else
             activateLog.setSelected(false);
-        mLevel = Integer.parseInt(nvp.getValue(Constants.PR_LOG_LEVEL));
-        mlogBufSizTextData = nvp.getValue(Constants.PR_LOG_BUFFERSIZE);
-        mlogMaxSizTextData = nvp.getValue(Constants.PR_LOG_MAXFILESIZE);
+        mLevel = Integer.parseInt(nvp.get(Constants.PR_LOG_LEVEL));
+        mlogBufSizTextData = nvp.get(Constants.PR_LOG_BUFFERSIZE);
+        mlogMaxSizTextData = nvp.get(Constants.PR_LOG_MAXFILESIZE);
         int val = 
-          Integer.parseInt(nvp.getValue(Constants.PR_LOG_ROLLEROVER_INTERVAL));
+          Integer.parseInt(nvp.get(Constants.PR_LOG_ROLLEROVER_INTERVAL));
         mFrequency = getRollOverIndex(val);
     }
 
     private void parseNTVals(NameValuePairs nvp) {
-        mNTLevel = Integer.parseInt(nvp.getValue(Constants.PR_NT_LOG_LEVEL));
-        mSource = nvp.getValue(Constants.PR_NT_EVENT_SOURCE);
-        if (nvp.getValue(Constants.PR_NT_LOG_ENABLED).equalsIgnoreCase(
+        mNTLevel = Integer.parseInt(nvp.get(Constants.PR_NT_LOG_LEVEL));
+        mSource = nvp.get(Constants.PR_NT_EVENT_SOURCE);
+        if (nvp.get(Constants.PR_NT_LOG_ENABLED).equalsIgnoreCase(
           Constants.TRUE))
             mActivateNTLog.setSelected(true);
         else
@@ -152,33 +149,33 @@ public class CMSAccessLogPanel extends CMSBaseLogPanel {
         NameValuePairs nvp = new NameValuePairs();
         mModel.progressStart();
         if (activateLog.isSelected()) 
-            nvp.add(Constants.PR_LOG_ENABLED, Constants.TRUE);
+            nvp.put(Constants.PR_LOG_ENABLED, Constants.TRUE);
         else
-            nvp.add(Constants.PR_LOG_ENABLED, Constants.FALSE);
+            nvp.put(Constants.PR_LOG_ENABLED, Constants.FALSE);
         String str = "" + mLogLevel.getSelectedIndex();
-        nvp.add(Constants.PR_LOG_LEVEL, str);
-        nvp.add(Constants.PR_LOG_BUFFERSIZE, mlogBufSizText.getText().trim());
+        nvp.put(Constants.PR_LOG_LEVEL, str);
+        nvp.put(Constants.PR_LOG_BUFFERSIZE, mlogBufSizText.getText().trim());
         //nvp.add(Constants.PR_LOG_EXPIRED_TIME, "");
         //nvp.add(Constants.PR_LOG_FILENAME, "");
         //nvp.add(Constants.PR_LOG_FLUSHINTERVAL, "");
-        nvp.add(Constants.PR_LOG_MAXFILESIZE, mlogMaxSizText.getText().trim());
+        nvp.put(Constants.PR_LOG_MAXFILESIZE, mlogMaxSizText.getText().trim());
 
         str = "" + getRollOverTime(mlogFQC.getSelectedIndex());
-        nvp.add(Constants.PR_LOG_ROLLEROVER_INTERVAL, str);
+        nvp.put(Constants.PR_LOG_ROLLEROVER_INTERVAL, str);
 
         try {
             mAdmin.modify(DestDef.DEST_LOG_ADMIN,
               ScopeDef.SC_SYSTEMLOG, Constants.RS_ID_CONFIG, nvp);
             if (mIsNT) {
-                nvp.removeAllPairs();
-                nvp.add(Constants.PR_NT_LOG_LEVEL, 
-                  ""+mNTLogLevel.getSelectedIndex());
-                nvp.add(Constants.PR_NT_EVENT_SOURCE, 
-                  mEventSourceText.getText().trim());
+                nvp.clear();
+                nvp.put(Constants.PR_NT_LOG_LEVEL,
+                        "" + mNTLogLevel.getSelectedIndex());
+                nvp.put(Constants.PR_NT_EVENT_SOURCE,
+                        mEventSourceText.getText().trim());
                 if (mActivateNTLog.isSelected())
-                    nvp.add(Constants.PR_NT_LOG_ENABLED, Constants.TRUE);
+                    nvp.put(Constants.PR_NT_LOG_ENABLED, Constants.TRUE);
                 else
-                    nvp.add(Constants.PR_NT_LOG_ENABLED, Constants.FALSE);
+                    nvp.put(Constants.PR_NT_LOG_ENABLED, Constants.FALSE);
                 mAdmin.modify(DestDef.DEST_LOG_ADMIN,
                   ScopeDef.SC_NTSYSTEMLOG, Constants.RS_ID_CONFIG, nvp);
             }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAuditLogPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAuditLogPanel.java
index ba03e487ba1e01a3dcafcb70d85cd140d813d5b8..067b954e82fece8be95c7ab75190575bfed898aa 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAuditLogPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAuditLogPanel.java
@@ -18,13 +18,10 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.*;
-import java.awt.*;
+
 import java.awt.event.*;
-import java.util.*;
-import javax.swing.*;
 
 /**
  * Audit Log Setting Tab to be displayed at the right hand side
@@ -66,24 +63,24 @@ public class CMSAuditLogPanel extends CMSBaseLogPanel {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvp = new NameValuePairs();
-        nvp.add(Constants.PR_LOG_ENABLED, "");
-        nvp.add(Constants.PR_LOG_LEVEL, "");
-        nvp.add(Constants.PR_LOG_BUFFERSIZE, "");
+        nvp.put(Constants.PR_LOG_ENABLED, "");
+        nvp.put(Constants.PR_LOG_LEVEL, "");
+        nvp.put(Constants.PR_LOG_BUFFERSIZE, "");
         //nvp.add(Constants.PR_LOG_EXPIRED_TIME, "");
         //nvp.add(Constants.PR_LOG_FILENAME, "");
         //nvp.add(Constants.PR_LOG_FLUSHINTERVAL, "");
-        nvp.add(Constants.PR_LOG_MAXFILESIZE, "");
-        nvp.add(Constants.PR_LOG_ROLLEROVER_INTERVAL, "");
+        nvp.put(Constants.PR_LOG_MAXFILESIZE, "");
+        nvp.put(Constants.PR_LOG_ROLLEROVER_INTERVAL, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_LOG_ADMIN,
               ScopeDef.SC_AUDITLOG, Constants.RS_ID_CONFIG, nvp);
             parseVals(val);
             if (mIsNT) {
-                nvp.removeAllPairs();
-                nvp.add(Constants.PR_NT_EVENT_SOURCE, "");
-                nvp.add(Constants.PR_NT_LOG_LEVEL, "");
-                nvp.add(Constants.PR_NT_LOG_ENABLED, "");
+                nvp.clear();
+                nvp.put(Constants.PR_NT_EVENT_SOURCE, "");
+                nvp.put(Constants.PR_NT_LOG_LEVEL, "");
+                nvp.put(Constants.PR_NT_LOG_ENABLED, "");
                 val = mAdmin.read(DestDef.DEST_LOG_ADMIN,
                   ScopeDef.SC_NTAUDITLOG, Constants.RS_ID_CONFIG, nvp);
                 parseNTVals(val);
@@ -99,23 +96,23 @@ public class CMSAuditLogPanel extends CMSBaseLogPanel {
     }
 
     private void parseVals(NameValuePairs nvp) {
-        if (nvp.getValue(Constants.PR_LOG_ENABLED).equalsIgnoreCase(
+        if (nvp.get(Constants.PR_LOG_ENABLED).equalsIgnoreCase(
           Constants.TRUE)) 
             activateLog.setSelected(true);
         else
             activateLog.setSelected(false);
-        mLevel = Integer.parseInt(nvp.getValue(Constants.PR_LOG_LEVEL));
-        mlogBufSizTextData = nvp.getValue(Constants.PR_LOG_BUFFERSIZE);
-        mlogMaxSizTextData = nvp.getValue(Constants.PR_LOG_MAXFILESIZE);
+        mLevel = Integer.parseInt(nvp.get(Constants.PR_LOG_LEVEL));
+        mlogBufSizTextData = nvp.get(Constants.PR_LOG_BUFFERSIZE);
+        mlogMaxSizTextData = nvp.get(Constants.PR_LOG_MAXFILESIZE);
         int val = 
-          Integer.parseInt(nvp.getValue(Constants.PR_LOG_ROLLEROVER_INTERVAL));
+          Integer.parseInt(nvp.get(Constants.PR_LOG_ROLLEROVER_INTERVAL));
         mFrequency = getRollOverIndex(val);
     }
 
     private void parseNTVals(NameValuePairs nvp) {
-        mNTLevel = Integer.parseInt(nvp.getValue(Constants.PR_NT_LOG_LEVEL));
-        mSource = nvp.getValue(Constants.PR_NT_EVENT_SOURCE);
-        if (nvp.getValue(Constants.PR_NT_LOG_ENABLED).equalsIgnoreCase(
+        mNTLevel = Integer.parseInt(nvp.get(Constants.PR_NT_LOG_LEVEL));
+        mSource = nvp.get(Constants.PR_NT_EVENT_SOURCE);
+        if (nvp.get(Constants.PR_NT_LOG_ENABLED).equalsIgnoreCase(
           Constants.TRUE))
             mActivateNTLog.setSelected(true);
         else
@@ -152,33 +149,33 @@ public class CMSAuditLogPanel extends CMSBaseLogPanel {
         NameValuePairs nvp = new NameValuePairs();
         mModel.progressStart();
         if (activateLog.isSelected())
-            nvp.add(Constants.PR_LOG_ENABLED, Constants.TRUE);
+            nvp.put(Constants.PR_LOG_ENABLED, Constants.TRUE);
         else
-            nvp.add(Constants.PR_LOG_ENABLED, Constants.FALSE);
+            nvp.put(Constants.PR_LOG_ENABLED, Constants.FALSE);
         String str = "" + mLogLevel.getSelectedIndex();
-        nvp.add(Constants.PR_LOG_LEVEL, str);
-        nvp.add(Constants.PR_LOG_BUFFERSIZE, mlogBufSizText.getText().trim());
+        nvp.put(Constants.PR_LOG_LEVEL, str);
+        nvp.put(Constants.PR_LOG_BUFFERSIZE, mlogBufSizText.getText().trim());
         //nvp.add(Constants.PR_LOG_EXPIRED_TIME, "");
         //nvp.add(Constants.PR_LOG_FILENAME, "");
         //nvp.add(Constants.PR_LOG_FLUSHINTERVAL, "");
-        nvp.add(Constants.PR_LOG_MAXFILESIZE, mlogMaxSizText.getText().trim());
+        nvp.put(Constants.PR_LOG_MAXFILESIZE, mlogMaxSizText.getText().trim());
 
         str = "" + getRollOverTime(mlogFQC.getSelectedIndex());
-        nvp.add(Constants.PR_LOG_ROLLEROVER_INTERVAL, str);
+        nvp.put(Constants.PR_LOG_ROLLEROVER_INTERVAL, str);
 
         try {
             mAdmin.modify(DestDef.DEST_LOG_ADMIN,
               ScopeDef.SC_AUDITLOG, Constants.RS_ID_CONFIG, nvp);
             if (mIsNT) {
-                nvp.removeAllPairs();
-                nvp.add(Constants.PR_NT_LOG_LEVEL,
-                  ""+mNTLogLevel.getSelectedIndex());
-                nvp.add(Constants.PR_NT_EVENT_SOURCE,
-                  mEventSourceText.getText().trim());
+                nvp.clear();
+                nvp.put(Constants.PR_NT_LOG_LEVEL,
+                        "" + mNTLogLevel.getSelectedIndex());
+                nvp.put(Constants.PR_NT_EVENT_SOURCE,
+                        mEventSourceText.getText().trim());
                 if (mActivateNTLog.isSelected())
-                    nvp.add(Constants.PR_NT_LOG_ENABLED, Constants.TRUE);
+                    nvp.put(Constants.PR_NT_LOG_ENABLED, Constants.TRUE);
                 else
-                    nvp.add(Constants.PR_NT_LOG_ENABLED, Constants.FALSE);
+                    nvp.put(Constants.PR_NT_LOG_ENABLED, Constants.FALSE);
                 mAdmin.modify(DestDef.DEST_LOG_ADMIN,
                   ScopeDef.SC_NTAUDITLOG, Constants.RS_ID_CONFIG, nvp);
             }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAutoRecovery.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAutoRecovery.java
index 3fcaedea68397d87abee56d8a68de28e09ac8c44..ef55470c6e59f7ecd9e78cc59d8eca6937caa7aa 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAutoRecovery.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSAutoRecovery.java
@@ -24,7 +24,7 @@ import javax.swing.*;
 import javax.swing.table.*;
 import javax.swing.text.*;
 import javax.swing.event.*;
-import javax.swing.border.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
@@ -88,8 +88,8 @@ public class CMSAutoRecovery extends JDialog implements ActionListener,
                 return;
             } else { 
                 NameValuePairs nvps = new NameValuePairs();
-                nvps.add(Constants.PR_RECOVERY_AGENT, val);
-                nvps.add(Constants.PR_AUTO_RECOVERY_ON, Constants.TRUE); 
+                nvps.put(Constants.PR_RECOVERY_AGENT, val);
+                nvps.put(Constants.PR_AUTO_RECOVERY_ON, Constants.TRUE);
                   
                 try {
                     mAdmin.modify(DestDef.DEST_KRA_ADMIN,
@@ -216,13 +216,13 @@ public class CMSAutoRecovery extends JDialog implements ActionListener,
     private void createTable() {
   
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_RECOVERY_M, "");
+        nvps.put(Constants.PR_RECOVERY_M, "");
 
         int numUsers = 0;
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_KRA_ADMIN,
               ScopeDef.SC_RECOVERY, Constants.RS_ID_CONFIG, nvps);
-            String str = val.getValue(Constants.PR_RECOVERY_M);
+            String str = val.get(Constants.PR_RECOVERY_M);
             numUsers = Integer.parseInt(str);
         } catch (EAdminException e) {
             //showErrorDialog(e.toString());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSBaseConfigDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSBaseConfigDialog.java
index 20116c54c294d5f6135ecd225cd812a2f7f573bc..87562829bb74a877518f0b42f43112a690612c80 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSBaseConfigDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSBaseConfigDialog.java
@@ -20,13 +20,11 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
-import javax.swing.table.*;
 import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -177,30 +175,25 @@ public class CMSBaseConfigDialog extends JDialog
 	/* if the servlet or rule wasn't capable of handling the new style
 	 * of interface, just return the names from the name/value pairs that
 	 * were passed in 
-	 */
-
-		Enumeration enum1 = oldstyle.elements();
-
-	/* otherwise, for each parameter name, fetch the associated
+	 * otherwise, for each parameter name, fetch the associated
 	 * parameter type from the extendedPluginInfo that the server
 	 * returned
 	 */
-		while (enum1.hasMoreElements()) {
-			NameValuePair pair = (NameValuePair)enum1.nextElement();
-			NameValuePair epiNVPair = (NameValuePair)response.getPair(pair.getName());
-			if (epiNVPair != null) {
-				epis.add(pair.getName(), epiNVPair.getValue(),false);
+		for (String name : oldstyle.keySet()) {
+			String value = response.get(name);
+			if (value != null) {
+				epis.add(name, value,false);
 			}
 			else {
-				epis.add(pair.getName(), "",true);
+				epis.add(name, "",true);
 			}
 		}
 
 
-		String ht = response.getValue("HELP_TOKEN");
+		String ht = response.get("HELP_TOKEN");
 		if (ht != null) epis.setHelpToken(ht); 
 
-		String hs = response.getValue("HELP_TEXT");
+		String hs = response.get("HELP_TEXT");
 		if (hs != null) epis.setHelpSummary(hs); 
 
 		return epis;
@@ -223,11 +216,11 @@ public class CMSBaseConfigDialog extends JDialog
         GridBagConstraints gbc = new GridBagConstraints();
         p.setLayout(gb);
 
-		mRuleName = data.getValue(mImplName_token);
+		mRuleName = data.get(mImplName_token);
 		mEPIs = getExtendedPluginInfo(mRuleName,data);
 
-       	for (Enumeration e = data.getNames(); e.hasMoreElements() ;) {
-           	String entry = ((String)e.nextElement()).trim();
+        for (String entry : data.keySet()) {
+		entry = entry.trim();
 		Debug.println("in CMSBaseConfigDialog.showDialog() entry=" + entry);
            	if (!entry.equals(mImplName_token)) {
 				String labelname = entry;
@@ -238,7 +231,7 @@ public class CMSBaseConfigDialog extends JDialog
 				 */
 
 				JComponent comp = null;
-               	String stringvalue = data.getValue(entry);
+		String stringvalue = data.get(entry);
 				ExtendedPluginInfo epi = mEPIs.get(entry);
 				if (epi == null) {
 					Debug.println("no ExtendedPluginInfo for "+entry);
@@ -485,14 +478,14 @@ public class CMSBaseConfigDialog extends JDialog
 					String password = value;
 					value = "Rule "+mRuleName;
 					if (password != null && password.length() >0) {
-						nvp.add("PASSWORD_CACHE_ADD",value+";"+password);
+						nvp.put("PASSWORD_CACHE_ADD", value + ";" + password);
 					}
 				}
 				
-				nvp.add(paramName,value);
+				nvp.put(paramName, value);
 			}
-			nvp.add(PolicyRuleDataModel.RULE_NAME,mRuleName);
-			nvp.add(mImplName_token,mImplName.getText());
+			nvp.put(PolicyRuleDataModel.RULE_NAME, mRuleName);
+			nvp.put(mImplName_token, mImplName.getText());
 
 			mData = nvp;
 			try {
@@ -502,7 +495,7 @@ public class CMSBaseConfigDialog extends JDialog
 				}
 				else {
                     if (mId != null && mId.length() > 0) {
-                        nvp.add(Constants.PR_ID, mId);
+                        nvp.put(Constants.PR_ID, mId);
                     }
 					mAdminConnection.modify(mDest, mInstanceScope, mRuleName, nvp);
 				}
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSBaseLDAPPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSBaseLDAPPanel.java
index cb8826d2a4a5df5ada239881466d83fab69baaf3..dbba4a763acb4ae70b1e453a3809659fa9032682 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSBaseLDAPPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSBaseLDAPPanel.java
@@ -234,24 +234,24 @@ public abstract class CMSBaseLDAPPanel extends CMSBaseTab implements ItemListene
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
         if (mPublishing)
-            nvps.add(Constants.PR_PUBLISHING_ENABLE,"");
+            nvps.put(Constants.PR_PUBLISHING_ENABLE, "");
         if (mLDAPPublishing)
-            nvps.add(Constants.PR_ENABLE,"");
-        nvps.add(Constants.PR_HOST_NAME, "");
-        nvps.add(Constants.PR_LDAP_PORT, "");
-        nvps.add(Constants.PR_SECURE_PORT_ENABLED, "");
+            nvps.put(Constants.PR_ENABLE, "");
+        nvps.put(Constants.PR_HOST_NAME, "");
+        nvps.put(Constants.PR_LDAP_PORT, "");
+        nvps.put(Constants.PR_SECURE_PORT_ENABLED, "");
         //nvps.add(Constants.PR_BASE_DN, "");
-        nvps.add(Constants.PR_BIND_DN, "");
-        nvps.add(Constants.PR_LDAP_VERSION, "");
-        nvps.add(Constants.PR_AUTH_TYPE, "");
-        nvps.add(Constants.PR_CERT_NAMES, "");
-        nvps.add(Constants.PR_LDAP_CLIENT_CERT, "");
+        nvps.put(Constants.PR_BIND_DN, "");
+        nvps.put(Constants.PR_LDAP_VERSION, "");
+        nvps.put(Constants.PR_AUTH_TYPE, "");
+        nvps.put(Constants.PR_CERT_NAMES, "");
+        nvps.put(Constants.PR_LDAP_CLIENT_CERT, "");
 
-        nvps.add(Constants.PR_PUBLISHING_QUEUE_ENABLE, "");
-        nvps.add(Constants.PR_PUBLISHING_QUEUE_THREADS, "");
-        nvps.add(Constants.PR_PUBLISHING_QUEUE_PAGE_SIZE, "");
-        nvps.add(Constants.PR_PUBLISHING_QUEUE_PRIORITY, "");
-        nvps.add(Constants.PR_PUBLISHING_QUEUE_STATUS, "");
+        nvps.put(Constants.PR_PUBLISHING_QUEUE_ENABLE, "");
+        nvps.put(Constants.PR_PUBLISHING_QUEUE_THREADS, "");
+        nvps.put(Constants.PR_PUBLISHING_QUEUE_PAGE_SIZE, "");
+        nvps.put(Constants.PR_PUBLISHING_QUEUE_PRIORITY, "");
+        nvps.put(Constants.PR_PUBLISHING_QUEUE_STATUS, "");
 
         try {
             NameValuePairs val = mAdmin.read(mServletName,
@@ -280,27 +280,26 @@ public abstract class CMSBaseLDAPPanel extends CMSBaseTab implements ItemListene
         int serverCertIndex = -1;
 
         String version = "";
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_HOST_NAME)) {
-                mHostNameText.setText(nvp.getValue());
+                mHostNameText.setText(value);
             } else if (name.equals(Constants.PR_LDAP_PORT)) {
-                mPortText.setText(nvp.getValue());
+                mPortText.setText(value);
             } else if (name.equals(Constants.PR_SECURE_PORT_ENABLED)) {
-                if (nvp.getValue().equals(Constants.TRUE))
+                if (value.equals(Constants.TRUE))
                     mSecurePort.setSelected(true);
                 else
                     mSecurePort.setSelected(false);
             } else if (name.equals(Constants.PR_BIND_DN)) {
-                mBindAsText.setText(nvp.getValue());
+                mBindAsText.setText(value);
             } else if (name.equals(Constants.PR_PUBLISHING_ENABLE)) {
-                if (nvp.getValue().equals(Constants.TRUE))
+                if (value.equals(Constants.TRUE))
                     mEnablePublishing.setSelected(true);
                 else
                     mEnablePublishing.setSelected(false);
             } else if (name.equals(Constants.PR_PUBLISHING_QUEUE_ENABLE)) {
-                if (nvp.getValue().equals(Constants.TRUE)) {
+                if (value.equals(Constants.TRUE)) {
                     mEnableQueue.setSelected(true);
                     mPublishingQueue = true;
                 } else {
@@ -308,25 +307,25 @@ public abstract class CMSBaseLDAPPanel extends CMSBaseTab implements ItemListene
                     mPublishingQueue = false;
                 }
             } else if (name.equals(Constants.PR_PUBLISHING_QUEUE_THREADS)) {
-                mMaxNumberOfPublishingThreads = nvp.getValue();
+                mMaxNumberOfPublishingThreads = value;
             } else if (name.equals(Constants.PR_PUBLISHING_QUEUE_PAGE_SIZE)) {
-                mPublishingQueuePageSize = nvp.getValue();
+                mPublishingQueuePageSize = value;
             } else if (name.equals(Constants.PR_PUBLISHING_QUEUE_PRIORITY)) {
-                mPublishingQueuePriorityLevel = nvp.getValue();
+                mPublishingQueuePriorityLevel = value;
             } else if (name.equals(Constants.PR_PUBLISHING_QUEUE_STATUS)) {
-                mPublishingQueueStatus = nvp.getValue();
+                mPublishingQueueStatus = value;
             } else if (name.equals(Constants.PR_ENABLE)) {
-                if (nvp.getValue().equals(Constants.TRUE))
+                if (value.equals(Constants.TRUE))
                     mEnable.setSelected(true);
                 else
                     mEnable.setSelected(false);
             } else if (name.equals(Constants.PR_AUTH_TYPE)) {
-                int index = getIndex(nvp.getValue(), AUTHTYPE);
+                int index = getIndex(value, AUTHTYPE);
                 if (index >= 0)
                     mAuthBox.setSelectedIndex(index);
             } else if (name.equals(Constants.PR_CERT_NAMES)) {
                 mCertBox.removeAllItems();
-                String certNames = nvp.getValue();
+                String certNames = value;
                 StringTokenizer tokenizer = new StringTokenizer(certNames,
                   DELIMITER);
                 for (int index=0; tokenizer.hasMoreTokens(); index++) {
@@ -336,9 +335,9 @@ public abstract class CMSBaseLDAPPanel extends CMSBaseTab implements ItemListene
                     mCertBox.addItem(str);
                 }
             } else if (name.equals(Constants.PR_LDAP_CLIENT_CERT)) {
-                clientCert = nvp.getValue();
+                clientCert = value;
             } else if (name.equals(Constants.PR_LDAP_VERSION)) {
-                version = nvp.getValue();
+                version = value;
             }
         }
 
@@ -512,26 +511,26 @@ public abstract class CMSBaseLDAPPanel extends CMSBaseTab implements ItemListene
 
         if (mPublishing) {
             if (mEnablePublishing.isSelected())
-                nvps.add(Constants.PR_PUBLISHING_ENABLE,Constants.TRUE);
+                nvps.put(Constants.PR_PUBLISHING_ENABLE, Constants.TRUE);
             else
-                nvps.add(Constants.PR_PUBLISHING_ENABLE,Constants.FALSE);
+                nvps.put(Constants.PR_PUBLISHING_ENABLE, Constants.FALSE);
 		}
 
         if (mLDAPPublishing) {
             if (mEnable.isSelected())
-                nvps.add(Constants.PR_ENABLE,Constants.TRUE);
+                nvps.put(Constants.PR_ENABLE, Constants.TRUE);
             else
-                nvps.add(Constants.PR_ENABLE,Constants.FALSE);
+                nvps.put(Constants.PR_ENABLE, Constants.FALSE);
         }
 
         if (mEnableQueue.isSelected())
-            nvps.add(Constants.PR_PUBLISHING_QUEUE_ENABLE, Constants.TRUE);
+            nvps.put(Constants.PR_PUBLISHING_QUEUE_ENABLE, Constants.TRUE);
         else
-            nvps.add(Constants.PR_PUBLISHING_QUEUE_ENABLE, Constants.FALSE);
-        nvps.add(Constants.PR_PUBLISHING_QUEUE_THREADS, mMaxNumberOfPublishingThreads);
-        nvps.add(Constants.PR_PUBLISHING_QUEUE_PAGE_SIZE, mPublishingQueuePageSize);
-        nvps.add(Constants.PR_PUBLISHING_QUEUE_PRIORITY, mPublishingQueuePriorityLevel);
-        nvps.add(Constants.PR_PUBLISHING_QUEUE_STATUS, mPublishingQueueStatus);
+            nvps.put(Constants.PR_PUBLISHING_QUEUE_ENABLE, Constants.FALSE);
+        nvps.put(Constants.PR_PUBLISHING_QUEUE_THREADS, mMaxNumberOfPublishingThreads);
+        nvps.put(Constants.PR_PUBLISHING_QUEUE_PAGE_SIZE, mPublishingQueuePageSize);
+        nvps.put(Constants.PR_PUBLISHING_QUEUE_PRIORITY, mPublishingQueuePriorityLevel);
+        nvps.put(Constants.PR_PUBLISHING_QUEUE_STATUS, mPublishingQueueStatus);
 
         if (mEnable.isSelected()) {
             String host = mHostNameText.getText().trim();
@@ -550,21 +549,21 @@ public abstract class CMSBaseLDAPPanel extends CMSBaseTab implements ItemListene
                 showMessageDialog("NUMBERFORMAT");
                 return false;
             }
-            nvps.add(Constants.PR_HOST_NAME, host);
-            nvps.add(Constants.PR_LDAP_PORT, port);
+            nvps.put(Constants.PR_HOST_NAME, host);
+            nvps.put(Constants.PR_LDAP_PORT, port);
 
             if (mSecurePort.isSelected())
-                nvps.add(Constants.PR_SECURE_PORT_ENABLED, Constants.TRUE);
+                nvps.put(Constants.PR_SECURE_PORT_ENABLED, Constants.TRUE);
             else
-                nvps.add(Constants.PR_SECURE_PORT_ENABLED, Constants.FALSE);
+                nvps.put(Constants.PR_SECURE_PORT_ENABLED, Constants.FALSE);
 
             if (mAuthBox.getSelectedIndex() == 0) {
                 if (mPanelName.equals("CALDAPSETTING")) {
-                    nvps.add(Constants.PR_BINDPWD_PROMPT, "CA LDAP Publishing");
+                    nvps.put(Constants.PR_BINDPWD_PROMPT, "CA LDAP Publishing");
                 } else {
-                    nvps.add(Constants.PR_BINDPWD_PROMPT, "RA LDAP Publishing");
+                    nvps.put(Constants.PR_BINDPWD_PROMPT, "RA LDAP Publishing");
                 }
-                nvps.add(Constants.PR_BIND_DN, bindAs);
+                nvps.put(Constants.PR_BIND_DN, bindAs);
                 passwd = mPasswordText.getText();
 
                 if (passwd.equals("")) {
@@ -572,10 +571,10 @@ public abstract class CMSBaseLDAPPanel extends CMSBaseTab implements ItemListene
                     return false;
                 }
            
-                nvps.add(Constants.PR_DIRECTORY_MANAGER_PWD, passwd);
+                nvps.put(Constants.PR_DIRECTORY_MANAGER_PWD, passwd);
             } else {
-                nvps.add(Constants.PR_LDAP_CLIENT_CERT, 
-                  (String)(mCertBox.getSelectedItem()));
+                nvps.put(Constants.PR_LDAP_CLIENT_CERT,
+                        (String) (mCertBox.getSelectedItem()));
             }
 
             int index = mAuthBox.getSelectedIndex();
@@ -585,11 +584,11 @@ public abstract class CMSBaseLDAPPanel extends CMSBaseTab implements ItemListene
                     return false;
                 }
             }
-            nvps.add(Constants.PR_AUTH_TYPE, AUTHTYPE[index]);
-            nvps.add(Constants.PR_LDAP_VERSION, 
-              (String)mVersionBox.getSelectedItem());
+            nvps.put(Constants.PR_AUTH_TYPE, AUTHTYPE[index]);
+            nvps.put(Constants.PR_LDAP_VERSION,
+                    (String) mVersionBox.getSelectedItem());
 
-			// test the connection before save
+            // test the connection before save
 			/*
 			LDAPConnection conn = null;
 			if (mAuthBox.getSelectedIndex() == 1) {
@@ -642,8 +641,8 @@ public abstract class CMSBaseLDAPPanel extends CMSBaseTab implements ItemListene
 								  Constants.RS_ID_CONFIG, nvps, false);
 			// show test report
 			String report = "";
-			for (int i = 0; i<nvps1.size();i++) {
-				report = report + nvps1.elementAt(i).getValue() + "\n";
+            for (String value : nvps1.values()) {
+				report = report + value + "\n";
 			}
 			if (report.indexOf("Fail") == -1) {
 				JOptionPane.showMessageDialog(
@@ -665,8 +664,8 @@ public abstract class CMSBaseLDAPPanel extends CMSBaseTab implements ItemListene
 								  Constants.RS_ID_CONFIG, nvps, false);
 					clearDirtyFlag();
 				} else {
-					nvps.add(Constants.PR_ENABLE, "false");
-					mAdmin.modify(mServletName, ScopeDef.SC_LDAP,
+					nvps.put(Constants.PR_ENABLE, "false");
+                    mAdmin.modify(mServletName, ScopeDef.SC_LDAP,
 								  Constants.RS_ID_CONFIG, nvps, false);
 				}
 			}
